Subject: bug#46583: 28.0.50; nested minibuffers

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Feb 2021 22:35:25 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 17 Feb 2021 22:20:01 +0200
> 
> >> Let-binding enable-recursive-minibuffers temporarily to t was necessary
> >> to fix bug#17272/bug#19064.
> >> 
> >> So when the minibuffer is already activated, and a minibuffer command
> >> wants to ask a question, displaying another recursive minibuffer with
> >> such question should override the value of enable-recursive-minibuffers.
> >
> > Those bugs are about an echo-area message overwriting the minibuffer
> > prompt, are they not?  If so, doesn't the set-message-function feature
> > we now have fixed those bugs indirectly, this removing the need for
> > let-binding enable-recursive-minibuffers?
> 
> This problem is not fixed by set-message-function that only improves
> messaging.

It prevents messages from overwriting minibuffer prompts.  And both of
the bugs you mentioned seem to be about messages that overwrite such
prompts.  So what am I missing?

> The problem was reported by João in the same bug report
> https://debbugs.gnu.org/17272#114
> 
> Emacs -Q
> M-x fido-mode
> C-x b
> C-k ;; to kill the Messages buffer
> 
> This affects yes-or-no-p that C-k needs to use from the minibuffer
> in fido-mode.

Sorry, I don't understand: how is this related to what I asked about?